Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Add generated files to the CVS so that the use of autotools is not necessary to build...
[simgrid.git] / examples / gras / chord / Makefile.in
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 SOURCES = $(chord_node_SOURCES) $(chord_simulator_SOURCES)
23
24 srcdir = @srcdir@
25 top_srcdir = @top_srcdir@
26 VPATH = @srcdir@
27 pkgdatadir = $(datadir)/@PACKAGE@
28 pkglibdir = $(libdir)/@PACKAGE@
29 pkgincludedir = $(includedir)/@PACKAGE@
30 top_builddir = ../../..
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 INSTALL = @INSTALL@
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = chord_node$(EXEEXT) chord_simulator$(EXEEXT)
48 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
49         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
50         $(top_srcdir)/acmacro/dist-files.mk
51 subdir = examples/gras/chord
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = test_sg test_rl
64 PROGRAMS = $(noinst_PROGRAMS)
65 am_chord_node_OBJECTS = _chord_node.$(OBJEXT) chord.$(OBJEXT)
66 chord_node_OBJECTS = $(am_chord_node_OBJECTS)
67 chord_node_DEPENDENCIES = $(top_builddir)/src/libgras.la
68 am_chord_simulator_OBJECTS = _chord_simulator.$(OBJEXT) \
69         chord.$(OBJEXT)
70 chord_simulator_OBJECTS = $(am_chord_simulator_OBJECTS)
71 chord_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
72 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
73 depcomp = $(SHELL) $(top_srcdir)/depcomp
74 am__depfiles_maybe = depfiles
75 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
76         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
77 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
78         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
79         $(AM_CFLAGS) $(CFLAGS)
80 CCLD = $(CC)
81 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
82         $(AM_LDFLAGS) $(LDFLAGS) -o $@
83 SOURCES = $(chord_node_SOURCES) $(chord_simulator_SOURCES)
84 DIST_SOURCES = $(chord_node_SOURCES) $(chord_simulator_SOURCES)
85 ETAGS = etags
86 CTAGS = ctags
87 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
88 ACLOCAL = @ACLOCAL@
89 AMDEP_FALSE = @AMDEP_FALSE@
90 AMDEP_TRUE = @AMDEP_TRUE@
91 AMTAR = @AMTAR@
92 AR = @AR@
93 AUTOCONF = @AUTOCONF@
94 AUTOHEADER = @AUTOHEADER@
95 AUTOMAKE = @AUTOMAKE@
96 AWK = @AWK@
97 BASH = @BASH@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CPP = @CPP@
102 CPPFLAGS = @CPPFLAGS@
103 CXX = @CXX@
104 CXXCPP = @CXXCPP@
105 CXXDEPMODE = @CXXDEPMODE@
106 CXXFLAGS = @CXXFLAGS@
107 CYGPATH_W = @CYGPATH_W@
108 DEFS = @DEFS@
109 DEPDIR = @DEPDIR@
110 ECHO = @ECHO@
111 ECHO_C = @ECHO_C@
112 ECHO_N = @ECHO_N@
113 ECHO_T = @ECHO_T@
114 EGREP = @EGREP@
115 EXEEXT = @EXEEXT@
116 F77 = @F77@
117 FFLAGS = @FFLAGS@
118 FLEXML = @FLEXML@
119 GRAS_DEP = @GRAS_DEP@
120 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
121 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
122 INSTALL_DATA = @INSTALL_DATA@
123 INSTALL_PROGRAM = @INSTALL_PROGRAM@
124 INSTALL_SCRIPT = @INSTALL_SCRIPT@
125 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
126 LDFLAGS = @LDFLAGS@
127 LEX = @LEX@
128 LEXLIB = @LEXLIB@
129 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
130 LIBOBJS = @LIBOBJS@
131 LIBS = @LIBS@
132 LIBTOOL = @LIBTOOL@
133 LN_S = @LN_S@
134 LTLIBOBJS = @LTLIBOBJS@
135 MAINT = @MAINT@
136 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
137 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
138 MAKEINFO = @MAKEINFO@
139 OBJEXT = @OBJEXT@
140 PACKAGE = @PACKAGE@
141 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
142 PACKAGE_NAME = @PACKAGE_NAME@
143 PACKAGE_STRING = @PACKAGE_STRING@
144 PACKAGE_TARNAME = @PACKAGE_TARNAME@
145 PACKAGE_VERSION = @PACKAGE_VERSION@
146 PATH_SEPARATOR = @PATH_SEPARATOR@
147 RANLIB = @RANLIB@
148 SET_MAKE = @SET_MAKE@
149 SHELL = @SHELL@
150 SIMGRID_DEP = @SIMGRID_DEP@
151 STRIP = @STRIP@
152 VERSION = @VERSION@
153 WARNING = @WARNING@
154 ac_ct_AR = @ac_ct_AR@
155 ac_ct_CC = @ac_ct_CC@
156 ac_ct_CXX = @ac_ct_CXX@
157 ac_ct_F77 = @ac_ct_F77@
158 ac_ct_RANLIB = @ac_ct_RANLIB@
159 ac_ct_STRIP = @ac_ct_STRIP@
160 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
161 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
162 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
163 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
164 am__include = @am__include@
165 am__leading_dot = @am__leading_dot@
166 am__quote = @am__quote@
167 am__tar = @am__tar@
168 am__untar = @am__untar@
169 bindir = @bindir@
170 build = @build@
171 build_alias = @build_alias@
172 build_cpu = @build_cpu@
173 build_os = @build_os@
174 build_vendor = @build_vendor@
175 datadir = @datadir@
176 exec_prefix = @exec_prefix@
177 host = @host@
178 host_alias = @host_alias@
179 host_cpu = @host_cpu@
180 host_os = @host_os@
181 host_vendor = @host_vendor@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localstatedir = @localstatedir@
188 mandir = @mandir@
189 mkdir_p = @mkdir_p@
190 oldincludedir = @oldincludedir@
191 prefix = @prefix@
192 program_transform_name = @program_transform_name@
193 sbindir = @sbindir@
194 sharedstatedir = @sharedstatedir@
195 sysconfdir = @sysconfdir@
196 target = @target@
197 target_alias = @target_alias@
198 target_cpu = @target_cpu@
199 target_os = @target_os@
200 target_vendor = @target_vendor@
201 INCLUDES = -I$(top_srcdir)/include
202 AM_CFLAGS = -g
203 TESTS = test_rl test_sg
204 EXTRA_DIST = chord_deployment.xml $(TESTS)
205 chord_simulator_SOURCES = _chord_simulator.c chord.c
206 chord_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
207 chord_node_SOURCES = _chord_node.c chord.c
208 chord_node_LDADD = $(top_builddir)/src/libgras.la
209
210 # cleanup temps
211 CLEANFILES = _chord_simulator.c _chord_node.c \
212              chord.Makefile.local chord.Makefile.remote chord.deploy.sh 
213
214 MOSTLYCLEANFILES = chord.trace
215
216 # generate temps
217 NAME = chord
218 PROCESSES = node
219 all: all-am
220
221 .SUFFIXES:
222 .SUFFIXES: .c .lo .o .obj
223 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
224         @for dep in $?; do \
225           case '$(am__configure_deps)' in \
226             *$$dep*) \
227               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
228                 && exit 0; \
229               exit 1;; \
230           esac; \
231         done; \
232         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/chord/Makefile'; \
233         cd $(top_srcdir) && \
234           $(AUTOMAKE) --gnu  examples/gras/chord/Makefile
235 .PRECIOUS: Makefile
236 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
237         @case '$?' in \
238           *config.status*) \
239             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
240           *) \
241             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
242             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
243         esac;
244
245 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
246         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
247
248 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
249         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
250 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
251         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
252 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
253         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
254 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
255         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
256
257 clean-noinstPROGRAMS:
258         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
259           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
260           echo " rm -f $$p $$f"; \
261           rm -f $$p $$f ; \
262         done
263 chord_node$(EXEEXT): $(chord_node_OBJECTS) $(chord_node_DEPENDENCIES) 
264         @rm -f chord_node$(EXEEXT)
265         $(LINK) $(chord_node_LDFLAGS) $(chord_node_OBJECTS) $(chord_node_LDADD) $(LIBS)
266 chord_simulator$(EXEEXT): $(chord_simulator_OBJECTS) $(chord_simulator_DEPENDENCIES) 
267         @rm -f chord_simulator$(EXEEXT)
268         $(LINK) $(chord_simulator_LDFLAGS) $(chord_simulator_OBJECTS) $(chord_simulator_LDADD) $(LIBS)
269
270 mostlyclean-compile:
271         -rm -f *.$(OBJEXT)
272
273 distclean-compile:
274         -rm -f *.tab.c
275
276 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chord_node.Po@am__quote@
277 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chord_simulator.Po@am__quote@
278 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chord.Po@am__quote@
279
280 .c.o:
281 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
282 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
283 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
284 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
285 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
286
287 .c.obj:
288 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
289 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
290 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
291 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
292 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
293
294 .c.lo:
295 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
296 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
297 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
298 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
299 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
300
301 mostlyclean-libtool:
302         -rm -f *.lo
303
304 clean-libtool:
305         -rm -rf .libs _libs
306
307 distclean-libtool:
308         -rm -f libtool
309 uninstall-info-am:
310
311 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
312         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
313         unique=`for i in $$list; do \
314             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
315           done | \
316           $(AWK) '    { files[$$0] = 1; } \
317                END { for (i in files) print i; }'`; \
318         mkid -fID $$unique
319 tags: TAGS
320
321 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
322                 $(TAGS_FILES) $(LISP)
323         tags=; \
324         here=`pwd`; \
325         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
326         unique=`for i in $$list; do \
327             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
328           done | \
329           $(AWK) '    { files[$$0] = 1; } \
330                END { for (i in files) print i; }'`; \
331         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
332           test -n "$$unique" || unique=$$empty_fix; \
333           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
334             $$tags $$unique; \
335         fi
336 ctags: CTAGS
337 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
338                 $(TAGS_FILES) $(LISP)
339         tags=; \
340         here=`pwd`; \
341         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
342         unique=`for i in $$list; do \
343             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
344           done | \
345           $(AWK) '    { files[$$0] = 1; } \
346                END { for (i in files) print i; }'`; \
347         test -z "$(CTAGS_ARGS)$$tags$$unique" \
348           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
349              $$tags $$unique
350
351 GTAGS:
352         here=`$(am__cd) $(top_builddir) && pwd` \
353           && cd $(top_srcdir) \
354           && gtags -i $(GTAGS_ARGS) $$here
355
356 distclean-tags:
357         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
358
359 check-TESTS: $(TESTS)
360         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
361         srcdir=$(srcdir); export srcdir; \
362         list='$(TESTS)'; \
363         if test -n "$$list"; then \
364           for tst in $$list; do \
365             if test -f ./$$tst; then dir=./; \
366             elif test -f $$tst; then dir=; \
367             else dir="$(srcdir)/"; fi; \
368             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
369               all=`expr $$all + 1`; \
370               case " $(XFAIL_TESTS) " in \
371               *" $$tst "*) \
372                 xpass=`expr $$xpass + 1`; \
373                 failed=`expr $$failed + 1`; \
374                 echo "XPASS: $$tst"; \
375               ;; \
376               *) \
377                 echo "PASS: $$tst"; \
378               ;; \
379               esac; \
380             elif test $$? -ne 77; then \
381               all=`expr $$all + 1`; \
382               case " $(XFAIL_TESTS) " in \
383               *" $$tst "*) \
384                 xfail=`expr $$xfail + 1`; \
385                 echo "XFAIL: $$tst"; \
386               ;; \
387               *) \
388                 failed=`expr $$failed + 1`; \
389                 echo "FAIL: $$tst"; \
390               ;; \
391               esac; \
392             else \
393               skip=`expr $$skip + 1`; \
394               echo "SKIP: $$tst"; \
395             fi; \
396           done; \
397           if test "$$failed" -eq 0; then \
398             if test "$$xfail" -eq 0; then \
399               banner="All $$all tests passed"; \
400             else \
401               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
402             fi; \
403           else \
404             if test "$$xpass" -eq 0; then \
405               banner="$$failed of $$all tests failed"; \
406             else \
407               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
408             fi; \
409           fi; \
410           dashes="$$banner"; \
411           skipped=""; \
412           if test "$$skip" -ne 0; then \
413             skipped="($$skip tests were not run)"; \
414             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
415               dashes="$$skipped"; \
416           fi; \
417           report=""; \
418           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
419             report="Please report to $(PACKAGE_BUGREPORT)"; \
420             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
421               dashes="$$report"; \
422           fi; \
423           dashes=`echo "$$dashes" | sed s/./=/g`; \
424           echo "$$dashes"; \
425           echo "$$banner"; \
426           test -z "$$skipped" || echo "$$skipped"; \
427           test -z "$$report" || echo "$$report"; \
428           echo "$$dashes"; \
429           test "$$failed" -eq 0; \
430         else :; fi
431
432 distdir: $(DISTFILES)
433         $(mkdir_p) $(distdir)/../../../acmacro
434         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
435         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
436         list='$(DISTFILES)'; for file in $$list; do \
437           case $$file in \
438             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
439             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
440           esac; \
441           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
442           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
443           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
444             dir="/$$dir"; \
445             $(mkdir_p) "$(distdir)$$dir"; \
446           else \
447             dir=''; \
448           fi; \
449           if test -d $$d/$$file; then \
450             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
451               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
452             fi; \
453             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
454           else \
455             test -f $(distdir)/$$file \
456             || cp -p $$d/$$file $(distdir)/$$file \
457             || exit 1; \
458           fi; \
459         done
460 check-am: all-am
461         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
462 check: check-am
463 all-am: Makefile $(PROGRAMS)
464 installdirs:
465 install: install-am
466 install-exec: install-exec-am
467 install-data: install-data-am
468 uninstall: uninstall-am
469
470 install-am: all-am
471         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
472
473 installcheck: installcheck-am
474 install-strip:
475         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
476           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
477           `test -z '$(STRIP)' || \
478             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
479 mostlyclean-generic:
480         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
481
482 clean-generic:
483         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
484
485 distclean-generic:
486         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
487
488 maintainer-clean-generic:
489         @echo "This command is intended for maintainers to use"
490         @echo "it deletes files that may require special tools to rebuild."
491 clean: clean-am
492
493 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
494         mostlyclean-am
495
496 distclean: distclean-am
497         -rm -rf ./$(DEPDIR)
498         -rm -f Makefile
499 distclean-am: clean-am distclean-compile distclean-generic \
500         distclean-libtool distclean-tags
501
502 dvi: dvi-am
503
504 dvi-am:
505
506 html: html-am
507
508 info: info-am
509
510 info-am:
511
512 install-data-am:
513
514 install-exec-am:
515
516 install-info: install-info-am
517
518 install-man:
519
520 installcheck-am:
521
522 maintainer-clean: maintainer-clean-am
523         -rm -rf ./$(DEPDIR)
524         -rm -f Makefile
525 maintainer-clean-am: distclean-am maintainer-clean-generic
526
527 mostlyclean: mostlyclean-am
528
529 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
530         mostlyclean-libtool
531
532 pdf: pdf-am
533
534 pdf-am:
535
536 ps: ps-am
537
538 ps-am:
539
540 uninstall-am: uninstall-info-am
541
542 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
543         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
544         distclean distclean-compile distclean-generic \
545         distclean-libtool distclean-tags distdir dvi dvi-am html \
546         html-am info info-am install install-am install-data \
547         install-data-am install-exec install-exec-am install-info \
548         install-info-am install-man install-strip installcheck \
549         installcheck-am installdirs maintainer-clean \
550         maintainer-clean-generic mostlyclean mostlyclean-compile \
551         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
552         tags uninstall uninstall-am uninstall-info-am
553
554
555 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _chord_simulator.c: $(srcdir)/chord_deployment.xml ../../../tools/gras/gras_stub_generator@EXEEXT@
556         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv ../../../tools/gras/gras_stub_generator@EXEEXT@ chord $(srcdir)/chord_deployment.xml >/dev/null
557
558 ../../../tools/gras/gras_stub_generator@EXEEXT@:
559         make -C   ../../../tools/gras/ gras_stub_generator@EXEEXT@
560
561 dist-files:
562         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
563         @echo
564         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
565 # Tell versions [3.59,3.63) of GNU make to not export all variables.
566 # Otherwise a system limit (for SysV at least) may be exceeded.
567 .NOEXPORT: